## rofi 1.4.2

=== subprojects/libnkutils/meson_options.txt ===
option('uuid', type: 'boolean', value: false, description: 'nkutils uuid module')
option('token', type: 'boolean', value: false, description: 'nkutils token module')
option('xdg-theme', type: 'boolean', value: false, description: 'nkutils xdg-theme module')
option('enum', type: 'boolean', value: false, description: 'nkutils enum module')
option('colour', type: 'boolean', value: false, description: 'nkutils colour module')
option('bindings', type: 'boolean', value: false, description: 'nkutils bindings module')

## rofi 0.15.7

=== debian/changelog ===
rofi (0.15.7-1) unstable; urgency=medium

  * New upstream release

 -- Jason Pleau <jason@jpleau.ca>  Sat, 11 Jul 2015 11:48:59 -0400

rofi (0.15.5-1) unstable; urgency=medium

  * New upstream release

 -- Jason Pleau <jason@jpleau.ca>  Sat, 30 May 2015 11:05:40 -0400

rofi (0.15.4-1) unstable; urgency=medium

  * New upstream release
    - Improved documentation (Closes: #781958)
  * Remove all patches: merged upstream

 -- Jason Pleau <jason@jpleau.ca>  Sun, 26 Apr 2015 11:48:27 -0400

rofi (0.15.2-1) unstable; urgency=low

  * Initial release (Closes: #779545)

 -- Jason Pleau <jason@jpleau.ca>  Fri, 06 Mar 2015 18:53:49 -0500

=== debian/control ===
Source: rofi
Section: x11
Priority: optional
Maintainer: Jason Pleau <jason@jpleau.ca>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libx11-dev,
               libxinerama-dev,
               libxft-dev,
               libpango1.0-dev,
               i3-wm
Standards-Version: 3.9.6
Homepage: https://davedavenport.github.io/rofi/
Vcs-Git: git://anonscm.debian.org/collab-maint/rofi.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/rofi.git

Package: rofi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: window switcher, run dialog and dmenu replacement
 rofi can act as an application launcher, window switcher, ssh launcher and
 dmenu replacement.
 .
 Included features:
  * Full keyboard navigation
  * Type to filter (case insensitive)
  * RTL language support
  * UTF-8 enabled
  * Optional history based ordering (last 25 choices are ordered on top based on
    use)
  * Can be extended using scripts
  * Optional use of "Levenshtein distance" to order matches while typing

## rofi 0.15.11

=== debian/changelog ===
rofi (0.15.11-1) unstable; urgency=medium

  * New upstream release
    - Fixes a crash when opening the error dialog (Closes: #803994)

 -- Jason Pleau <jason@jpleau.ca>  Sun, 08 Nov 2015 11:16:36 -0500

rofi (0.15.10-1) unstable; urgency=medium

  * New upstream release
  * Update build-dependencies according to configure.ac:
    - Add libstartup-notification0-dev
    - Remove libxft-dev

 -- Jason Pleau <jason@jpleau.ca>  Sun, 25 Oct 2015 14:23:20 -0400

rofi (0.15.8-1) unstable; urgency=medium

  * New upstream release

 -- Jason Pleau <jason@jpleau.ca>  Wed, 09 Sep 2015 22:40:29 -0400

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
                dh-autoreconf,
                libx11-dev,
                libxinerama-dev,
-               libxft-dev,
                libpango1.0-dev,
+               libstartup-notification0-dev,
                i3-wm
 Standards-Version: 3.9.6
 Homepage: https://davedavenport.github.io/rofi/

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/rofi-$1\.tar\.gz/ \
  https://github.com/DaveDavenport/rofi/tags .*/v?(\d\S*)\.tar\.gz

## rofi 1.2.0

=== debian/changelog ===
rofi (1.2.0-1) unstable; urgency=medium

  * New upstream release
  * Update Build-Depends (using xcb instead of Xlib to parse xresources):
    - Remove libx11-dev and libx11-xcb-dev, add libxcb-xrm-dev

 -- Jason Pleau <jason@jpleau.ca>  Fri, 12 Aug 2016 20:11:32 -0400

rofi (1.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Jason Pleau <jason@jpleau.ca>  Wed, 15 Jun 2016 18:22:57 -0400

rofi (1.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Jason Pleau <jason@jpleau.ca>  Mon, 02 May 2016 18:30:21 -0400

rofi (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * Update Build-Depends:
    - Now uses XCB instead of Xlib, add necessary Build-Depends
    - Add libxkbcommon-dev and libxkbcommon-x11-dev
  * Update debian/copyright
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Update extended description
  * Update watch file to track /releases instead of /tags
  * Add README.md to docs as it contains useful information

 -- Jason Pleau <jason@jpleau.ca>  Sat, 23 Apr 2016 15:56:19 -0400

rofi (0.15.12-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 3.9.7, no changes needed
  * Use https transport for Vcs-* fields

 -- Jason Pleau <jason@jpleau.ca>  Wed, 24 Feb 2016 18:48:35 -0500

=== debian/control ===
Source: rofi
Section: x11
Priority: optional
Maintainer: Jason Pleau <jason@jpleau.ca>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libpango1.0-dev,
               libstartup-notification0-dev,
               libxkbcommon-dev (>= 0.5.0),
               libxkbcommon-x11-dev (>= 0.5.0),
               libxcb1-dev,
               libxcb-xkb-dev,
               libxcb-xinerama0-dev,
               libxcb-ewmh-dev,
               libxcb-icccm4-dev,
               libxcb-util0-dev,
               libxcb-xrm-dev
Standards-Version: 3.9.8
Homepage: https://davedavenport.github.io/rofi/
Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/rofi.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/rofi.git

Package: rofi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: window switcher, run dialog and dmenu replacement
 rofi can act as an application launcher, window switcher, ssh launcher and
 dmenu replacement.
 .
 Included features:
  * Full (configurable) keyboard navigation
  * Type to filter
    + Tokenized: Type any word in any order to filter
    + Case insensitive
  * UTF-8 enabled
    + UTF-8 aware string collating
    + intl. keyboard support (`e -> è)
  * Pango font rendering
  * RTL language support
  * Window Switcher
    + I3 support (requires i3-wm to be installed)
    + EWMH compatible WM
  * Run dialog
  * Desktop File Run dialog
  * SSH launcher
  * History based ordering based on use. (optional)
  * Levenshtein distance ordering of matches. (optional)
  * Drop in dmenu replacement (with many added improvements).
  * Can be easily extended using scripts.

## rofi 1.3.1

=== debian/changelog ===
rofi (1.3.1-2) unstable; urgency=medium

  * Remove the debian/files files from the debian tarball

 -- Jason Pleau <jason@jpleau.ca>  Mon, 09 Jan 2017 22:44:55 -0500

rofi (1.3.1-1) unstable; urgency=medium

  * New upstream release
  * Add libxcb-randr0-dev to Build-Dependencies

 -- Jason Pleau <jason@jpleau.ca>  Mon, 09 Jan 2017 08:34:20 -0500

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
                libxcb-xinerama0-dev,
                libxcb-ewmh-dev,
                libxcb-icccm4-dev,
+               libxcb-randr0-dev,
                libxcb-util0-dev,
                libxcb-xrm-dev
 Standards-Version: 3.9.8

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@  --with autoreconf

## rofi 1.4.2

=== debian/changelog ===
rofi (1.4.2-1) unstable; urgency=medium

  * New upstream release
  * New binary package: rofi-dev (plugin development)
  * Declare compliance with Debian policy 4.1.1
  * Update build-dependencies (per configure.ac):
    + Add bison, flex, librsvg2-dev
  * Add a patch to fix the theme selector:
    + fix_theme_selector.patch

 -- Jason Pleau <jason@jpleau.ca>  Sat, 28 Oct 2017 20:14:34 -0400

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,8 @@
 Maintainer: Jason Pleau <jason@jpleau.ca>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
+               bison,
+               flex,
                libpango1.0-dev,
                libstartup-notification0-dev,
                libxkbcommon-dev (>= 0.5.0),
@@ -15,8 +17,9 @@
                libxcb-icccm4-dev,
                libxcb-randr0-dev,
                libxcb-util0-dev,
+               librsvg2-dev,
                libxcb-xrm-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://davedavenport.github.io/rofi/
 Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/rofi.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/rofi.git
@@ -48,3 +51,14 @@
   * Levenshtein distance ordering of matches. (optional)
   * Drop in dmenu replacement (with many added improvements).
   * Can be easily extended using scripts.
+
+Package: rofi-dev
+Architecture: any
+Depends: rofi (= ${binary:Version}),
+         ${misc:Depends},
+         libglib2.0-dev (>= 2.40),
+         libcairo2-dev
+Description: development files for rofi
+ This package provides headers to allow development of plugins for rofi.
+ .
+ rofi is a window switcher, run dialog and dmenu replacement

## rofi 1.5.0

=== debian/changelog ===
rofi (1.5.0-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-* fields to point to salsa.debian.org
  * Remove fix_theme_selector.patch, applied upstream
  * Add add_missing_settings_files.patch to fix test failures (fixed upstream)
  * Update Standards-Version to 4.1.3, no changes needed
  * Set project homepage to the github repo
  * Update copyright years for debian/

 -- Jason Pleau <jason@jpleau.ca>  Sun, 04 Feb 2018 11:59:06 -0500

=== debian/control ===
--- 
+++ 
@@ -19,10 +19,10 @@
                libxcb-util0-dev,
                librsvg2-dev,
                libxcb-xrm-dev
-Standards-Version: 4.1.1
-Homepage: https://davedavenport.github.io/rofi/
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/rofi.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/rofi.git
+Standards-Version: 4.1.3
+Homepage: https://github.com/DaveDavenport/rofi/
+Vcs-Git: https://salsa.debian.org/jpleau-guest/rofi
+Vcs-Browser: https://salsa.debian.org/jpleau-guest/rofi
 
 Package: rofi
 Architecture: any

## rofi 1.5.1

=== meson_options.txt ===
option('enable-drun', type: 'boolean', value: true, description: 'Desktop file mode')
option('enable-window', type: 'boolean', value: true, description: 'Window switcher mode')
option('enable-timings', type: 'boolean', value: false, description: 'Timings output')
option('enable-asan', type: 'boolean', value: false, description: 'Address sanitizer')
option('enable-check', type: 'boolean', value: true, description: 'Build and run libcheck-based tests')

=== subprojects/libnkutils/meson_options.txt ===
option('uuid', type: 'boolean', value: false, description: 'nkutils uuid module')
option('token', type: 'boolean', value: false, description: 'nkutils token module')
option('gtk-settings', type: 'boolean', value: false, description: 'nkutils gtk-settings module')
option('xdg-de', type: 'boolean', value: false, description: 'nkutils xdg-de module')
option('xdg-theme', type: 'boolean', value: false, description: 'nkutils xdg-theme module')
option('enum', type: 'boolean', value: false, description: 'nkutils enum module')
option('colour', type: 'boolean', value: false, description: 'nkutils colour module')
option('bindings', type: 'boolean', value: false, description: 'nkutils bindings module')
option('git-work-tree', type: 'string', value: '', description: 'Git work tree directory')

=== debian/changelog ===
rofi (1.5.1-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat to 11
  * Remove add_missing_settings_files.patch, fixed upstream

 -- Jason Pleau <jason@jpleau.ca>  Wed, 21 Mar 2018 19:25:44 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Jason Pleau <jason@jpleau.ca>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-autoreconf,
                bison,
                flex,

## rofi 1.5.4

=== debian/changelog ===
rofi (1.5.4-1) unstable; urgency=medium

  * New upstream release (Closes: #923741)
  * Add subprojects/libnkutils to copyright
  * Remove debian/compat in favor of debhelper-compat (= 12) in control
  * Bump Standards-Version to 4.4.0, no changes required

 -- Jason Pleau <jason@jpleau.ca>  Fri, 13 Sep 2019 12:59:46 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Jason Pleau <jason@jpleau.ca>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-autoreconf,
                bison,
                flex,
@@ -19,7 +19,7 @@
                libxcb-util0-dev,
                librsvg2-dev,
                libxcb-xrm-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.4.0
 Homepage: https://github.com/DaveDavenport/rofi/
 Vcs-Git: https://salsa.debian.org/jpleau-guest/rofi
 Vcs-Browser: https://salsa.debian.org/jpleau-guest/rofi

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-check

## rofi 1.6.0

=== debian/changelog ===
rofi (1.6.0-1.0antix1) unstable; urgency=medium

  * antiX builds 

 -- anticapitalista <antix@operamail.com>  Thu, 12 Nov 2020 13:20:21 +0200

## rofi 1.7.1

=== debian/changelog ===
rofi (1.7.1-0.1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 18 Jan 2022 14:41:19 -0500

rofi (1.7.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. Closes: #977738.
  * d/patches: remove patch to fix autoconf 2.70 compatibility.
  * d/control: add libxcb-cursor-dev as a build-depedency.
  * d/control: remove libxcb-xrm (not needed anymore).
  * d/control: replace librsvg2-dev with gdk-pixbuf.
  * d/docs: remove (no more README.md).

 -- Vincent Bernat <bernat@debian.org>  Sun, 28 Nov 2021 14:15:52 +0100

rofi (1.5.4-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/patches/0001-fix-autoconf-2.70-compat.patch: Fix autoconf
    2.70 compatibility. (Closes: #978898)

 -- Boyuan Yang <byang@debian.org>  Tue, 14 Sep 2021 14:17:12 -0400

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: rofi
 Section: x11
 Priority: optional
-Maintainer: Jason Pleau <jason@jpleau.ca>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Jason Pleau <jason@jpleau.ca>
 Build-Depends: debhelper-compat (= 12),
                dh-autoreconf,
                bison,
                flex,
                libpango1.0-dev,
+               libgdk-pixbuf-2.0-dev,
                libstartup-notification0-dev,
                libxkbcommon-dev (>= 0.5.0),
                libxkbcommon-x11-dev (>= 0.5.0),
                libxcb1-dev,
-               libxcb-xkb-dev,
-               libxcb-xinerama0-dev,
+               libxcb-cursor-dev,
                libxcb-ewmh-dev,
                libxcb-icccm4-dev,
                libxcb-randr0-dev,
                libxcb-util0-dev,
-               librsvg2-dev,
-               libxcb-xrm-dev
+               libxcb-xinerama0-dev,
+               libxcb-xkb-dev
 Standards-Version: 4.4.0
 Homepage: https://github.com/DaveDavenport/rofi/
 Vcs-Git: https://salsa.debian.org/jpleau-guest/rofi

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,8 @@
 %:
 	dh $@ --with autoreconf
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-check

## rofi 1.7.3

=== meson_options.txt ===
option('drun', type: 'boolean', value: true, description: 'Desktop file mode')
option('window', type: 'boolean', value: true, description: 'Window switcher mode')
option('check', type: 'feature', description: 'Build and run libcheck-based tests')

=== debian/changelog ===
rofi (1.7.3-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 1.7.3 (Closes: #934609, #934617, #934618, #934624)
  * bump standards version
  * debian/
    - copyright: fix lintian warnings for missing fields
    - rules: remove dh_override_configure
  * added patch to fix lintian warnings on manpages

 -- Sai Karthik <kskarthik@disroot.org>  Tue, 31 May 2022 17:15:49 +0530

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: rofi
 Section: x11
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Jason Pleau <jason@jpleau.ca>
-Build-Depends: debhelper-compat (= 12),
-               dh-autoreconf,
+Maintainer: Jason Pleau <jason@jpleau.ca>
+Build-Depends: debhelper-compat (= 13),
                bison,
                flex,
                libpango1.0-dev,
-               libgdk-pixbuf-2.0-dev,
                libstartup-notification0-dev,
                libxkbcommon-dev (>= 0.5.0),
                libxkbcommon-x11-dev (>= 0.5.0),
                libxcb1-dev,
-               libxcb-cursor-dev,
+               libxcb-xkb-dev,
+               libxcb-xinerama0-dev,
                libxcb-ewmh-dev,
                libxcb-icccm4-dev,
                libxcb-randr0-dev,
                libxcb-util0-dev,
-               libxcb-xinerama0-dev,
-               libxcb-xkb-dev
-Standards-Version: 4.4.0
+               librsvg2-dev,
+               libxcb-xrm-dev,
+               libxcb-cursor-dev,
+               check
+Standards-Version: 4.6.0
 Homepage: https://github.com/DaveDavenport/rofi/
 Vcs-Git: https://salsa.debian.org/jpleau-guest/rofi
 Vcs-Browser: https://salsa.debian.org/jpleau-guest/rofi

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf

## rofi 1.7.5

=== subprojects/libnkutils/meson_options.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 option('uuid', type: 'boolean', value: false, description: 'nkutils uuid module')
-option('token', type: 'boolean', value: false, description: 'nkutils token module')
+option('format-string', type: 'boolean', value: false, description: 'nkutils format-string module')
 option('gtk-settings', type: 'boolean', value: false, description: 'nkutils gtk-settings module')
 option('xdg-de', type: 'boolean', value: false, description: 'nkutils xdg-de module')
 option('xdg-theme', type: 'boolean', value: false, description: 'nkutils xdg-theme module')

=== debian/changelog ===
rofi (1.7.5-0.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:10:28 +0000

rofi (1.7.5-0.1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:52:50 +0000

rofi (1.7.5-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update d/watch (Closes: #1043483)
  * New upstream version 1.7.5
  * Bump Standards-Version to 4.6.2 (no changes needed) 
  * d/control update Vcs-Git and Vcs-Browser 
  * fix spellings in man pages:lintian
  * remove encoding in .desktop files
  * rules:Add hardening=+all to DEB_BUILD_MAINT_OPTIONS for hard
  * copyright: change to https packaging manual URL
  * patch:manpage-lintian-fixes - don't forward
  * update patch: add keywords in .desktop
  * d/control: declare Rules-Requires-Root: no

 -- Vinay Keshava <vinaykeshava@disroot.org>  Mon, 16 Oct 2023 16:33:54 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: rofi
 Section: x11
 Priority: optional
-Maintainer: Jason Pleau <jason@jpleau.ca>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jason Pleau <jason@jpleau.ca>
 Build-Depends: debhelper-compat (= 13),
                bison,
                flex,
@@ -15,15 +16,16 @@
                libxcb-ewmh-dev,
                libxcb-icccm4-dev,
                libxcb-randr0-dev,
-               libxcb-util0-dev,
+	       libxcb-util-dev,
                librsvg2-dev,
                libxcb-xrm-dev,
                libxcb-cursor-dev,
                check
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://github.com/DaveDavenport/rofi/
-Vcs-Git: https://salsa.debian.org/jpleau-guest/rofi
-Vcs-Browser: https://salsa.debian.org/jpleau-guest/rofi
+Vcs-Git: https://salsa.debian.org/karthik/rofi.git
+Vcs-Browser: https://salsa.debian.org/karthik/rofi
 
 Package: rofi
 Architecture: any

=== debian/watch ===
version=4
opts="searchmode=plain,\
uversionmangle=s/-?(alpha|beta|rc)/~$1/i;tr/A-Z/a-z/;s/\D$/$&1/" \
https://api.github.com/repos/davatorium/@PACKAGE@/releases \
https://github.com/davatorium/@PACKAGE@/releases/download/v?[\d.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## rofi 2.0.0

=== meson_options.txt ===
option('drun', type: 'boolean', value: true, description: 'Desktop file mode')
option('window', type: 'boolean', value: true, description: 'Window switcher mode')
option('check', type: 'feature', description: 'Build and run libcheck-based tests')
option('imdkit', type: 'boolean', value: true, description: 'IMDKit support')
option('wayland', type: 'feature', value: 'auto', description: 'Build with wayland support')
option('xcb', type: 'feature', value: 'auto', description: 'Build with X11/xcb support')

=== subprojects/libnkutils/meson_options.txt ===
option('uuid', type: 'boolean', value: false, description: 'nkutils uuid module')
option('bindings', type: 'boolean', value: false, description: 'nkutils bindings module')
option('git-work-tree', type: 'string', value: '', description: 'Git work tree directory')

=== debian/changelog ===
rofi (2.0.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix X11 Support
  * Modify d/rules to instruct meson to build for
    both both x11 and wayland
  * Add missing dependency libxcb-keysyms1-dev for x11 support

 -- Raju Vindane <mail@raju.dev>  Sat, 25 Oct 2025 14:28:46 +0530

rofi (2.0.0-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version 2.0.0 (Closes: #1097802)
  * Adds new dependencies for wayland support
  * New dependencies added meson, wayland-protocols, libwayland-dev
  * Import fix by upstream for the failing 32 bit build.
  * Add DEP-3 metadata to upstream patch
  * Simplify d/watch file for version 5 (thanks bhe)
  * Fix copyright for subprojects/libgwater
  * Remove reduntant "Rules-Requires-Root: no" from d/control
  * Removed unnecessary greater-than versioned dependency for libxkbcommon-dev libxkbcommon-x11-dev libglib2.0-dev
  * Enable Salsa CI

 -- Raju Vindane <mail@raju.dev>  Thu, 16 Oct 2025 13:02:50 +0530

=== debian/control ===
Source: rofi
Standards-Version: 4.7.2
Maintainer: Jason Pleau <jason@jpleau.ca>
Section: x11
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 bison,
 flex,
 libpango1.0-dev,
 libstartup-notification0-dev,
 libxkbcommon-dev,
 libxkbcommon-x11-dev,
 libxcb1-dev,
 libxcb-xkb-dev,
 libxcb-xinerama0-dev,
 libxcb-ewmh-dev,
 libxcb-icccm4-dev,
 libxcb-randr0-dev,
 libxcb-util-dev,
 librsvg2-dev,
 libxcb-xrm-dev,
 libxcb-cursor-dev,
 check,
 meson,
 wayland-protocols,
 libwayland-dev,
 libxcb-keysyms1-dev
Vcs-Browser: https://salsa.debian.org/karthik/rofi
Vcs-Git: https://salsa.debian.org/karthik/rofi.git
Homepage: https://github.com/DaveDavenport/rofi/

Package: rofi
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: window switcher, run dialog and dmenu replacement
 rofi can act as an application launcher, window switcher, ssh launcher and
 dmenu replacement.
 .
 Included features:
  * Full (configurable) keyboard navigation
  * Type to filter
    + Tokenized: Type any word in any order to filter
    + Case insensitive
  * UTF-8 enabled
    + UTF-8 aware string collating
    + intl. keyboard support (`e -> è)
  * Pango font rendering
  * RTL language support
  * Window Switcher
    + I3 support (requires i3-wm to be installed)
    + EWMH compatible WM
  * Run dialog
  * Desktop File Run dialog
  * SSH launcher
  * History based ordering based on use. (optional)
  * Levenshtein distance ordering of matches. (optional)
  * Drop in dmenu replacement (with many added improvements).
  * Can be easily extended using scripts.

Package: rofi-dev
Architecture: any
Depends:
 rofi (= ${binary:Version}),
 ${misc:Depends},
 libglib2.0-dev,
 libcairo2-dev,
Description: development files for rofi
 This package provides headers to allow development of plugins for rofi.
 .
 rofi is a window switcher, run dialog and dmenu replacement

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
	-Dxcb=enabled \
	-Dwayland=enabled

=== debian/watch ===
Version: 5

Template: Github
Owner: davatorium
Project: rofi
Uversionmangle: s/-?(alpha|beta|rc)/~$1/i;tr/A-Z/a-z/;s/\D$/$&1/
